# No SOURCE spec-file
#
%define mozillalibdir %{_libdir}/%{name}
%define pluginsdir /usr/lib/mozilla/plugins


Summary:	Waterfox web browser
Name:		waterfox
Version:	56.1.0
Release:	%mkrel 1
License:	MPLv1+
Group:		Networking/WWW
URL:		https://www.waterfoxproject.org/downloads
Source3:	%{name}.png
Source4:	waterfox.desktop
#-----------------------------------------------------
Provides:	webclient
Requires:	indexhtml
Requires:   xdg-utils
Requires:	m4
Obsoletes:	%{name} < %version
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
#-----------------------------------------------------
AutoReqProv: no

%description
Waterfox is a free and open source web browser based on
Firefox but with additional optimizations.


%prep
cd %_builddir
wget -nc https://storage-waterfox.netdna-ssl.com/releases/linux64/installer/waterfox-%{version}.en-US.linux-x86_64.tar.bz2
tar -xvjf waterfox-%{version}.en-US.linux-x86_64.tar.bz2
#%setup -q


%build
#nobuild


%install
rm -rf %buildroot

mkdir -p %{buildroot}%{mozillalibdir}
cp -r waterfox/* %{buildroot}%{mozillalibdir}


#compatibility links
mkdir -p %{buildroot}%{_bindir}
ln -sf %{mozillalibdir}/waterfox %{buildroot}%{_bindir}/waterfox

# Create an own %_libdir/mozilla/plugins
mkdir -p %{buildroot}/usr/lib/mozilla/plugins
mkdir -p %{buildroot}/%{mozillalibdir}/icons

mkdir -p %{buildroot}%{_datadir}/{pixmaps,applications}
install -m 644 %{SOURCE4} %{buildroot}%{_datadir}/applications/%{name}.desktop
install -m 644 %{SOURCE3} %{buildroot}%{_datadir}/pixmaps/%{name}.png

# icons
%{__cp} %{buildroot}%{mozillalibdir}/browser/chrome/icons/default/default16.png %{buildroot}/%{mozillalibdir}/icons/
for i in 16 32 48 ; do
mkdir -p %{buildroot}%{_iconsdir}/hicolor/"$i"x"$i"/apps
ln -sf %{mozillalibdir}/browser/chrome/icons/default/default$i.png %{buildroot}%{_iconsdir}/hicolor/"$i"x"$i"/apps/waterfox.png ;
done

# exclusions
rm -rf %{buildroot}%{mozillalibdir}/README.txt
rm -rf %{buildroot}%{mozillalibdir}/removed-files
rm -rf %{buildroot}%{mozillalibdir}/precomplete



%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
rm -rf %_builddir/*

%files
%defattr(-,root,root)
%{_bindir}/*
%{_iconsdir}/hicolor/*/apps/*.png
%{_datadir}/applications/*.desktop
%dir %{_libdir}/%{name}
%{_libdir}/%{name}
%dir /usr/lib/mozilla
%dir %{pluginsdir}
%{_datadir}/pixmaps/*.png


%changelog
* Wed Apr 04 2018 bb2 <bb2> - 56.1.0-1pclos2018
- new version

* Sat Feb 03 2018 bb2 <bb2> - 56.0.4-2pclos2018
- fix desktop file

* Fri Feb 02 2018 pp <pp> 56.0.4-1pclos2018
- update

* Wed Jan 17 2018 bb2 <bb2> - 56.0.3-1pclos2018
- new version

